Page MenuHomePhabricator

[clang][NewPM] Fix split debug test
ClosedPublic

Authored by leonardchan on Jun 11 2019, 2:18 PM.

Details

Summary

This contains the part of D62225 which fixes CodeGen/split-debug-single-file.c by not placing .dwo sections when using -enable-split-dwarf=split.

Diff Detail

Repository
rL LLVM

Event Timeline

leonardchan created this revision.Jun 11 2019, 2:18 PM
leonardchan retitled this revision from [clang][NewPM] Fix to [clang][NewPM] Fix split debug test.Jun 11 2019, 2:28 PM
chandlerc accepted this revision.Jun 12 2019, 8:56 PM

Code change LGTM, but again, let's update the test to check both ways.

This revision is now accepted and ready to land.Jun 12 2019, 8:56 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJun 13 2019, 10:36 AM